# English message strings
#
# Copyright (C) 2013, 2014  Patrick "P. J." McDermott
#
# This file is part of the ProteanOS Development Kit.
#
# The ProteanOS Development Kit is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Development Kit is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Development Kit.  If not, see
# <http://www.gnu.org/licenses/>.

# Options
msg_prokit_opt_h_summary='print this help message'
msg_prokit_opt_V_summary='print version information'

# src/prokit.sh
msg_prokit_uid_0_req='Must be run as the superuser'

# lib/fd.sh
msg_prokit_emfile='Too many open files'
msg_prokit_cant_fopen='Cannot open file'
msg_prokit_ebadf='Bad file descriptor'

# lib/substvars.sh
msg_prokit_substvar_invalid='Invalid substitution variable name "%s"'
msg_prokit_substvar_deep_nesting='Possible recursion in substitutions'

# lib/control.sh
msg_prokit_control_empty_line='empty line'
msg_prokit_control_bad_nv='badly formatted control field'
msg_prokit_control_duplicate_field='duplicate field "%s"'
msg_prokit_control_found_contination='found continuation line where expected '\
'start of field'
msg_prokit_list_item_separator=', '
msg_prokit_control_missing_fields='missing fields: %s'

# lib/rand.sh
msg_prokit_rand_bad_x='Invalid random number generator seed value'

# lib/cmd.sh
msg_prokit_cmd_not_found='Command "%s" not found'
msg_prokit_cmd_usage='Usage: %s %s %s'

# lib/cmd/help.sh
msg_prokit_cmd_help_head='Usage: %s [<option> ...] <command> [<arg> ...]'
msg_prokit_cmd_help_opts_head='Options:'
msg_prokit_cmd_help_summary_head='Commands:'
msg_prokit_cmd_help_summary='print this help message'
msg_prokit_cmd_help_usage='[<command>]'

# lib/cmd/version.sh
msg_prokit_cmd_version_summary='print version information'
msg_prokit_cmd_version_usage=''
msg_prokit_cmd_version_copyright='Copyright (C) %s  %s
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.'

# lib/cmd/install.sh
msg_prokit_cmd_install_summary='install a system into a directory'
msg_prokit_cmd_install_usage='[-a <arch>] [-p <plat>] [-m <mirror>] [-F] '\
'<suite> <root-dir>'
msg_prokit_cmd_install_bad_archplat='Invalid combination of architecture "%s" '\
'and platform "%s"'
msg_prokit_cmd_install_selected_arch='Using architecture %s'
msg_prokit_cmd_install_selected_plat='Using platform %s'
msg_prokit_cmd_install_selected_mirror='Using mirror %s'
msg_prokit_cmd_install_setting_up_chroot='Setting up root...'
msg_prokit_cmd_install_chroot_dir_exists='Directory "%s" exists"'
msg_prokit_cmd_install_mkdir_chroot_fail='Failed to create directory "%s"'
msg_prokit_cmd_install_find_pkgs='Configuring opkg and retrieving Packages '\
'files...'
msg_prokit_cmd_install_downloading_pkg='Downloading %s...'
msg_prokit_cmd_install_downloading_pkg_fail='Failed to download package'
msg_prokit_cmd_install_unpacking_pkg='Unpacking %s...'
msg_prokit_cmd_install_configuring='Configuring packages...'
msg_prokit_cmd_install_checksum_fail='Checksum of package file failed'

# lib/cmd/shell.sh
msg_prokit_cmd_shell_summary='run a shell in an isolated environment'
msg_prokit_cmd_shell_usage='<root-dir> [<command> [<argument> ...]]'
msg_prokit_cmd_shell_exiting='Exiting...'

# lib/cmd/opkg.sh
msg_prokit_cmd_opkg_summary='manage packages with opkg'
msg_prokit_cmd_opkg_usage='<root-dir> [<option> ...] <sub-command> '\
'[<argument> ...]'

# lib/cmd/build.sh
msg_prokit_cmd_build_summary='build a package'
msg_prokit_cmd_build_usage='<root-dir> [<option> ...] <pkg-dir>'
msg_prokit_cmd_build_not_a_dir='Not a directory: %s'

# lib/profile.sh
msg_prokit_profile_not_found='Profile "%s" not found'

# lib/package.sh
msg_prokit_package_format_unknown='Unable to detect package format'
